%define poppler_version 0.4.1
%define gtk2_version 2.6.0

Summary: Document viewer
Name: evince
Version: 0.4.0
Release: 1.2
License: GPL
Group: Applications/Publishing
Source0: %{name}-%{version}.tar.bz2
Source1: evince-0.4.0-old-help.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: poppler-devel >= %{poppler_version}
BuildRequires: libgnomeprintui22-devel
BuildRequires: libgnomeui-devel
BuildRequires: libtiff-devel
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: desktop-file-utils
BuildRequires: scrollkeeper
Prereq: /usr/bin/update-desktop-database
PreReq: scrollkeeper >= 0.1.4
Requires: gtk2 >= %{gtk2_version}
Requires: poppler >= %{poppler_version}

Patch0: evince-0.4.0-old-doc-utils 
Patch1: evince-0.4.0-dbus-fix.patch

%description
evince is a GNOME-based document viewer.

%prep
%setup -q

%{__rm} -rf help
%{__tar} -xzf %{SOURCE1}

%patch0 -p1 -b .old-doc-utils
%patch1 -p1 -b .dbus-fix

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications

/bin/rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

# Get rid of static libs and .la files.
/bin/rm $RPM_BUILD_ROOT/%{_libdir}/nautilus/extensions-1.0/*.a
/bin/rm $RPM_BUILD_ROOT/%{_libdir}/nautilus/extensions-1.0/*.la

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="evince.schemas evince-thumbnailer.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done
scrollkeeper-update

%postun
update-desktop-database %{_datadir}/applications
scrollkeeper-update

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog
%{_bindir}/*
%{_libdir}/nautilus/extensions-1.0/libevince-properties-page.so*
%{_datadir}/evince
%{_datadir}/applications/*.desktop
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/gnome/help/evince
%{_datadir}/omf/evince

%changelog
* Thu Sep  1 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.4.0-1.2
- Add evince-0.4.0-dbus-fix.patch

* Fri Aug 26 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.4.0-1.1
- Update to 0.4.0 and merge some fixes from devel
- Update poppler version req
- Adapt to old gnome-doc-utils

* Sun May 22 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.3.1-1
- Update to 0.3.1

* Sat May  7 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.3.0-1
- Update to 0.3.0

* Sat Apr 23 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.1-1
- Update to 0.2.1
- Add help support

* Wed Apr  6 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.0-1
- Update to 0.2.0

* Sat Mar 12 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.9-1
- Update to 0.1.9

* Sat Mar 12 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.8-1
- Update to 0.1.8

* Sat Mar  8 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.7-1
- Update to 0.1.7
- Install the new schemas

* Sat Mar  8 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.6-1
- Update to 0.1.6
- Add poppler dependency

* Sat Mar  3 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.5-2
- Rebuild

* Sat Feb 26 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.5-1
- Update to 0.1.5

* Tue Feb  9 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.4-1
- Update to 0.1.4
- Install schemas and update desktop database

* Tue Feb  4 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.3-1
- Update to 0.1.3

* Tue Feb  1 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.2-1
- Update to 0.1.2

* Wed Jan 26 2005 Jeremy Katz <katzj@redhat.com> - 0.1.1-1
- 0.1.1

* Thu Jan 20 2005 Jeremy Katz <katzj@redhat.com> - 0.1.0-0.20050120
- update to current cvs

* Thu Jan  6 2005 Jeremy Katz <katzj@redhat.com> - 0.1.0-0.20050106.1
- require gtk2 >= 2.6

* Thu Jan  6 2005 Jeremy Katz <katzj@redhat.com>
- Initial build.
- Add a desktop file
